#3 --crash requires getopt_long

closed-accepted
nobody
None
5
2003-05-01
2003-05-01
Paul Rhodes
No

Crash window cannot be generated if there is no
getopt_long on the system (i.e. Solaris). Moved to
using -C instead, which is available in both circumstances.

diff -u -r1.12 main.c
--- main.c 30 Apr 2003 05:23:59 -0000 1.12
+++ main.c 1 May 2003 10:57:42 -0000
@@ -288,7 +288,7 @@
c = getopt_long(argc, argv,
"vhg:a:d:Dc:m:u:", long_options, &option_index);
#else /* HAVE_GETOPT_LONG */
/* Either had getopt_long or getopt or both so getopt
should be here */
- c = getopt (argc, argv, "vhg:a:d:Dc:m:u:");
+ c = getopt (argc, argv,
"vhg:a:d:Dc:m:u:C:");
#endif
/* Detect the end of the options. */

Index: crash.c

RCS file: /cvsroot/ayttm/ayttm/src/crash.c,v
retrieving revision 1.5
diff -u -r1.5 crash.c
--- crash.c 28 Apr 2003 11:55:34 -0000 1.5
+++ crash.c 1 May 2003 10:57:42 -0000
@@ -547,7 +547,7 @@
* line typed in (argv0)
*/
args[0] = argv0;
- args[1] = "--crash";
+ args[1] = "-C";
snprintf(buf, sizeof(buf), "%d,%d,%s",
getppid(), sig, argv0);
args[2] = buf;
args[3] = NULL;

Discussion

  • Colin Leroy
    Colin Leroy
    2003-05-01

    Logged In: YES
    user_id=460566

    applied, thanks.
    (would be nice if you attached the patches, they get broken
    when inlined...)
    Added you to authors file too!

     
  • Colin Leroy
    Colin Leroy
    2003-05-01

    • status: open --> closed-accepted